{% extends '../base.html'%} {% block main %} {% load static %}
<style>
  .other-cards {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 1rem;
  }
</style>
<div class="conatiner-all d-flex position-relative">
  {% include "../components/quick_access.html" %}
  {% include "./admin-aside.html" %}
  <div class="table-container">
    <p class="text-center fs-4 mt-3">Liste des avis</p>
    <div class="sort">
      <div class="search">
        <div class="input-group">
          <input
            placeholder="Recharcher ..."
            type="text"
            class="form-control px-2"
            aria-label="Sizing example input"
            aria-describedby="inputGroup-sizing-default"
            id="inputSearchQ"
          />
          <span
            class="input-group-text"
            id="inputGroup-sizing-default"
            title="Recharcher par le numéro de suivi ou par la siret"
          >
            <i class="fa-solid fa-magnifying-glass"></i>
          </span>
        </div>
      </div>
    </div>
    <div class="other-cards">
      {% for note in notes %}
      <div class="card my-auto" style="min-width: 300px;">
        <div class="card-header text-center"><span class="fw-bold">{{ note.stars }}</span> / 5 étoiles</div>
        <div class="card-body">
            {% if note.gole == 1 %}
            <h5 class="card-title  text-center border-bottom pb-1">Avis sur site</h5><br>
            {% elif note.gole == 2 %}
            <h5 class="card-title  text-center border-bottom pb-1">Avis sur un <a href="{% url 'one_article' note.article.id %}">article</a></h5><br>
            {% elif note.gole == 3 %}
            <h5 class="card-title  text-center border-bottom pb-1">Avis sur une <a href="{% url 'repair' note.repair.id %}">réparation</a></h5><br>
            {% else %}
            <h5 class="card-title  text-center border-bottom pb-1">Avis sur une <a href="">commande</a></h5><br>
            {% endif %}
            <span><span class="fw-bold">Le</span> :<br>{{ note.created_at }}<br>Il y a {{ note.created_at|timesince }}</span><br>
            <span><span class="fw-bold">Par </span>:<br> {{ note.user.get_last_name }} {{ note.user.get_first_name }}<br>{{ note.user.email }}</span><br>
          <span class="card-text"><span class="fw-bold">Commentaire<br></span>
            {{ note.note|linebreaks }}
        </span>
        <div class="other-cards-actions d-flex justify-content-center align-content-center gap-3">
            <a href="{% url 'edit_note' note.id 2 %}" class="normal-link bg-primary py-2 px-3 rounded shadow text-center text-white">
              Accepter
            </a>
            {% if note.status == 3 %}
            <a href="{% url 'archiving_note' note.id 2 %}" class="normal-link bg-danger py-2 px-3 rounded shadow text-center text-white" >
              Désarchiver
            </a>
            {% else %}
            <a href="{% url 'archiving_note' note.id 3 %}" class="normal-link bg-danger py-2 px-3 rounded shadow text-center text-white" >
              Archiver
            </a>
            {% endif %}
            <a href="{% url 'delete_note' note.id %}" class="normal-link bg-danger py-2 px-3 rounded shadow text-center text-white"  >
              Supprimer
            </a>
          </div>
        </div>
      </div>
      {% endfor %}
    </div>
  </div>
</div>
<script>
  const input = document.querySelector("#inputSearchQ");

  input.addEventListener("input", (e) => {
    const q = e.target.value;
    sortNotesCards(q);
  });

</script>
{% endblock main%}
